##Example of the use of function computeMBPCR

##import the 250K NSP data of chromosome 11 of cell line JEKO-1 
##for windows 
path <- 'data\\jekoChr11Array250Knsp.dat'
##for linux
##path <- 'data//jekoChr11Array250Knsp.dat'
jekoChr11Array250Knsp <- importCNData(path, NRowSkip=1)

##first example 
## we select a part of chromosome 11
y <- jekoChr11Array250Knsp$logratio[10600:11600]
p <- jekoChr11Array250Knsp$position[10600:11600]
##we estimate the profile using the global parameters estimated on the whole genome
results <- computeMBPCR(y, nu=-3.012772e-10, rhoSquare=0.0479, sigmaSquare=0.0699, regr=2)
plot(p,y)
points(p, results$estPC, type='l', col='red')
points(p, results$regrCurve, type='l', col='green')

##second example 
## we select a part of chromosome 11
y <- jekoChr11Array250Knsp$logratio[6400:6900]
p <- jekoChr11Array250Knsp$position[6400:6900]
##we estimate the profile using the global parameters estimated on the whole genome
results <- computeMBPCR(y, nu=-3.012772e-10, rhoSquare=0.0479, sigmaSquare=0.0699, regr=1)
plot(p, y)
points(p, results$estPC, type='l', col='red')
points(p, results$regrCurve,type='l', col='green')

