##Example of use of function printEstProfile

##import the 10K data of cell line REC
##for windows
path <- 'data\\rec10k.dat'
##for linux
##path <- 'data//rec10k.dat'
rec10k <- importCNData(path, NRowSkip=1)
#estimation of the global parameters
param <- estGlobParam(rec10k$logratio)
##estimation of chromosome 3
results=computeMBPCR(rec10k$logratio[which(rec10k$chr == 3)], nu=param$nu, rhoSquare=param$rhoSquare, sigmaSquare=param$sigmaSquare)
##print the estimated profile of chromosome 3
estPC <- array(dim=length(rec10k$snpName))
estBoundaries <- list(dim=1)
postProbT <- list(dim=1)
estPC[rec10k$chr == 3] <- results$estPC
estBoundaries[[1]] <- results$estBoundaries
postProbT[[1]] <- c(results$postProbT[results$estBoundaries[-results$estK]],1)
printEstProfile(path='', sampleName='rec10k', rec10k$snpName, rec10k$chr, rec10k$position, rec10k$logratio, chrToBePrinted=3, estPC, estBoundaries, postProbT)
	      